* {
  box-sizing: border-box;
}

.proColor {
  color: #29ABE2;
}
.carbColor {
  color: #009e2a;
}
.fatColor {
  color: #e39a12;
}

.menu {
  width: 100%;
  background-color: whitesmoke;
  padding: 15px 15px 15px 15px;
  position: fixed;
  top: 0;
  z-index: 1;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.logo {
  max-height: 30px;
  margin-left: 10px;
}
.logoIcon {
  max-height: 40px;
  margin-left: 10px;
}

.link {
  color: #29ABE2;
  float: right;
  font-size: 18px;
}


.grid-item {
  background-color: white;
  font-size: 25px;
  text-align: center;
}

.mainGrid {
  padding: 80px 20px 20px 20px;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: auto auto auto;
  grid-template-rows: 15% 55% 20%;
}

.foodGrid {
   display: grid;
   grid-template-columns: auto auto auto auto;
   height: 100%;
   overflow: scroll;
   border-bottom: 1px solid lightgray;
  padding: 0 40px 0 40px;
 }

.vitGridContainer {
  grid-area: 3 / 1 / 4 / 4;
}

.vitMinGrid {
  margin-top: 20px;
  width: 100%;
  display: grid;
  grid-template-columns: 45% auto 45%;
  grid-template-rows: auto auto;
  justify-content: space-evenly;
}

.flexVitMin {
  display: grid;
  padding-top: 20px;
  grid-template-columns: auto auto auto auto auto auto;
  justify-content: space-evenly;
  color: lawngreen;
}


.vitTitle {
  color: lawngreen;
}


.calSlider {
  grid-area: 1 / 2 / 3 / 3;
  max-width: 100%;
  margin: auto;
}

.slider {
  max-width: 100%;
  margin: auto;
}


.foodImage {
  max-width: 80%;
  margin-bottom: 20px;
  transition: transform .2s;
}
.foodImage:hover {
  transform: scale(1.5);
  cursor: pointer;
}

.foodNamePro {
  color: #29ABE2;
  font-size: 15px;
  text-align: left;
  margin: 0;
  line-height: 80%;
}

.foodQuantityPro {
  color: #29ABE2;
  font-size: 12px;
  text-align: left;
  line-height: normal;
  margin: 0;
}

.foodNameCarb {
  color: #009e2a;
  font-size: 15px;
  text-align: left;
  margin: 0;
  line-height: 80%;
}

.foodQuantityCarb {
  color: #009e2a;
  font-size: 12px;
  text-align: left;
  line-height: normal;
  margin: 0;
}

.foodNameFat {
  color: #e39a12;
  font-size: 15px;
  text-align: left;
  margin: 0;
  line-height: 80%;
}

.foodQuantityFat {
  color: #e39a12;
  font-size: 12px;
  text-align: left;
  line-height: normal;
  margin: 0;
}


@media (max-width: 1800px) {
  .foodGrid {
    display: grid;
    grid-template-columns: auto auto auto;
    height: 100%;
  }

}

@media (max-width: 1100px) {
  .foodGrid {
    display: grid;
    grid-template-columns: auto auto;
    height: 100%;
  }

}

@media (max-width: 600px) {
  .foodGrid {
    display: grid;
    grid-template-columns: auto;
    height: 100%;
  }
}
